MDL-52777 tool_usertours: Only check plugin for needs update
authorAndrew Nicols <andrew@nicols.co.uk>
Thu, 20 Oct 2016 03:16:52 +0000 (11:16 +0800)
committerAndrew Nicols <andrew@nicols.co.uk>
Thu, 20 Oct 2016 03:16:54 +0000 (11:16 +0800)
commitc4d5fb53ce2abfbef5b6b434ea62c3093395189a
tree73f520c27ff72d601371b3eaea83b88942e467cf
parenta8dded9bfcd55f250f8ab2a112118e9c414b43a9
MDL-52777 tool_usertours: Only check plugin for needs update

The moodle_needs_upgrade() function includes every version.php in Moodle
which poses a performance issue, especially when called on every page.
admin/tool/usertours/classes/manager.php